<?php
// Kalimantan Internal Config

// DEFINITIONS
require_once(ABSPATH . '/wp-config.php');

// Make all path separator equals to / (i.e d:\abc\def to d:/abc/def) for calculating relative paths
define('ABSPATH_G2', preg_replace('/{\}/','/', ABSPATH)); 

global $g2_wp_access;
global $g2_dir;
global $g2_uri;
global $g2_css;

// Initialize
add_option('kalimantan_realpath', ABSPATH_G2, 'Your Gallery 2 Path', 'yes');
add_option('kalimantan_g2', 'gallery.php', 'Your Gallery 2 Under WordPress', 'yes');
add_option('kalimantan_g2_uri', $_SERVER['HTTP_HOST'] , 'Your Gallery 2 URI', 'yes');
add_option('kalimantan_css', get_settings('siteurl').'/wp-content/plugins/kalimantan/layout.css' , 'Your Gallery 2 CSS Location', 'yes');

$g2_wp_access = get_option('kalimantan_g2');
$g2_dir = get_option('kalimantan_realpath');
$g2_uri = get_option('kalimantan_g2_uri');
$g2_css = get_option('kalimantan_css');

// RELATIVE PATHS
global $relativeAdminPath;		// Relative Path from WP Admin to Gallery
global $relativePath;			// Relative Path from WP Frontend to Gallery

// Find Relative Path from WP Admin to Gallery
$relativeAdminPath = find_path (explode('/', ABSPATH_G2 . 'wp-admin/edit.php'), explode('/', $g2_dir));

// Find Relative Path from WP Frontend to Gallery
$relativePath = find_path (explode('/', ABSPATH_G2 . $g2_wp_access), explode('/', $g2_dir));

// Function to Find Relative Path
function find_path ($you, $me)
{
	$i = 0;
	$relPath = '';
	while($i<count($you) && $i<count($me) && $you[$i] == $me[$i]) $i++;
	for($j=$i;$j<count($you)-1;$j++) $relPath .= "..".'/';
	for($j=$i;$j<count($me)-1; $j++) $relPath .= $me[$j].'/';
	return $relPath;
}

if (file_exists($g2_dir . '/embed.php')) {
  require_once($g2_dir . '/embed.php');
}
?>