<?php
// Kalimantan Admin Interface

include('k-config.php');
$title = __('Kalimantan Settings');

// ADMIN
function kalimantan_admin() {
	add_management_page('Gallery', 'Gallery', 8, __FILE__, 'kalimantan_admin_panel');
}

function kalimantan_admin_panel() {
global $wpdb;

$data = kalimantan_admin_fetch();
global $g2_uri;
global $pathA, $pathB;
if (isset($data['bodyHtml'])) {
$data['bodyHtml'] = preg_replace('/(src)(.*?http:\/\/.*?\/)(main.php)/','src="'.$g2_uri.'$3', $data['bodyHtml']);
print <<<EOF
<div class="wrap">
<h2>Photo Gallery</h2>
{$data['bodyHtml']}
</div>
EOF;
}
}

function kalimantan_admin_fetch() {
	$data = array();
	global $relativeAdminPath;
    // if anonymous user, set g2 activeUser to null
    $uid = null;
 
    // initiate G2 
    $ret = GalleryEmbed::init(array('embedUri' => 'edit.php?page=kalimantan/kalimantan-admin.php',
				    'relativeG2Path' => $relativeAdminPath,
				    'loginRedirect' => 'index.php',
				    'activeUserId' => $uid));
    if (!$ret->isSuccess()) {

    $data['bodyHtml'] = $ret->getAsHtml();    

	return $data;
    }
	
    // handle the G2 request
    $g2moddata = GalleryEmbed::handleRequest();
  
    // show error message if isDone is not defined
    if (!isset($g2moddata['isDone'])) {
      $data['bodyHtml'] = 'isDone is not defined, something very bad must have happened.';
      return $data;
    }
    // die if it was a binary data (image) request
    if ($g2moddata['isDone']) {
      exit; /* uploads module does this too */
    }
   
    // put the body html from G2 into the wp template
    $data['bodyHtml'] = isset($g2moddata['bodyHtml']) ? $g2moddata['bodyHtml'] : '';
    return $data;
} 

// CSS
function kalimantan_admin_css() {
	echo "<link rel=\"stylesheet\" href=\"";
	echo get_settings('siteurl');
	echo "/wp-content/plugins/kalimantan/layout-admin.css\" type=\"text/css\" />"; 
}
 
add_action('admin_menu', 'kalimantan_admin');
global $data;
if (isset($data['headHtml'])) add_action('admin_head', $data['headHtml']);
add_action('admin_head', 'kalimantan_admin_css');
?>